﻿@model HOD.Models.RegisterModel
@{
    ViewBag.Title = "Register";
}
@{
    Layout = "~/Views/Shared/_CasavueLayout.cshtml";
}





@{

    string RootDirectory = ViewBag.RootUrl;
    string ImageDirectory = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/";
    const string TIER_SESSIONKEY = "TIER";
    const string TIERS_FREE = "FREE";
    bool isFreeTier = false;

    string address = Model.Address + ", " + Model.City + ", " + Model.Province;

    HOD.Data.Entities.UserProfile agentDetails;
    string logoImage = string.Empty;
    int agentId = 0;
    string background = string.Empty;
    string businessName = string.Empty;
    string phone1 = string.Empty;
    string phone2 = string.Empty;
    string agentPhoto = string.Empty;
    string agentAddress = string.Empty;
    string province = string.Empty;
    string postalCode = string.Empty;
    string agentUrl = string.Empty;

    HOD.Data.Entities.AgentInformation agentData;

    if (Session["AGENTID"] != null)
    {
        agentId = int.Parse(Session["AGENTID"].ToString());
    }
    else
    {
        agentId = Model.AgentID;
    }

    if (Session[TIER_SESSIONKEY] == null)
    {
        isFreeTier = false;
    }
    else
    {
        if (Session[TIER_SESSIONKEY].ToString().ToUpper() == TIERS_FREE)
        {
            isFreeTier = true;
        }
        else
        {
            isFreeTier = false;
        }
    }


    using (HOD.Data.Entities.HODContext db = new HOD.Data.Entities.HODContext())
    {
        agentDetails = db.UserProfiles.Where(x => x.UserId == agentId).FirstOrDefault();

        if (agentDetails != null && agentDetails.Tier.ToUpper() == "FREE")
        {
            isFreeTier = true;
        }
        else
        {
            isFreeTier = false;
        }
    }

    bool isCasaVueAgent = false;

    if (agentId == Convert.ToInt32(System.Configuration.ConfigurationManager.AppSettings["DefaultAgentId"].ToString()))
    {
        isCasaVueAgent = true;
    }


    using (HOD.Data.Entities.HODContext dbContext = new HOD.Data.Entities.HODContext())
    {

        agentData = dbContext.AgentInformations.Where(x => x.AgentId == agentId).FirstOrDefault();

        if (agentData != null)
        {

            if (agentData.MainWebsitePhoto != null)
            {
                logoImage = ImageDirectory + agentData.MainWebsitePhoto;
            }
            agentPhoto = ImageDirectory + agentData.ProfilePhoto;
            background = ImageDirectory + agentData.BackgroundPhoto;
            logoImage = ImageDirectory + agentData.Logo;
            businessName = agentData.BusinessName;
            phone1 = agentData.Phone1;
            phone2 = agentData.Phone2;
            province = agentData.Province;
            postalCode = agentData.PostalCode;
            agentAddress = agentData.BusinessAddress;
            agentUrl = agentData.AgentUrl;
            if (isFreeTier && !isCasaVueAgent)
            {
                background = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/bgTopNew.jpg";
                logoImage = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";
            }
        }
        else
        {
            agentPhoto = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/Apex-Headshot-logo.png";
            logoImage = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";
        }
    }

}


<div class="page-wrapper">
    <div id="page-title">
        <div class="fullwidth background-green block center mb0">
            <div class="container">
                <h1>Create an account</h1>
            </div><!-- /.container -->
        </div>
    </div>
    <div class="main">
        <div class="container">
            <div class="content">
                <div class="row">
                    @using (Html.BeginForm("Register", "Account", FormMethod.Post, new Dictionary<string, object> { { "id", "register-form" }, { "enctype", "multipart/form-data" }, { "class", "" } }))
                    {

                        <div>
                            <h3>First step</h3>
                            <section>
                                <div class="col-sm-12">
                                    <div class="box">
                                        <h2 class="mt0 mb0">Account information</h2>
                                        <p>All fields are required.</p>
                                        <div class="row">
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.UserName, new { @class = "form-control", @placeholder = "Client E-mail Login (for signing in)", @maxlength = "56", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.UserName)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    @Html.PasswordFor(m => m.Password, new { @class = "form-control", @placeholder = "Password", @maxlength = "128", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.Password)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    @Html.PasswordFor(m => m.ConfirmPassword, new { @class = "form-control", @placeholder = "Confirm your Password", @maxlength = "128", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.ConfirmPassword)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12">
                                    <div class="box">
                                        <h2 class="mt0 mb0">Package Selection</h2>
                                        @if (Model.UserType == "Seller")
                                        {


                                            if (isFreeTier)
                                            {
                                                @: @Html.DropDownListFor(m => m.Package, new SelectList(
                                                              new List<Object>{
                                                              //   new { value="Listing", text = "Listing Package" },
                                                               // new { value="Silver", text = "Premium Silver Member" },
                                                                new { value="FREE", text = "Free Package"},
                                                                },
                                                              "value",
                                                              "text",
                                                              "Gold"), new { @class = "form-control", @placeholder = "Expiration Year", @id = "packageSelection" })
                                                         }
                                            else
                                            {
                                                List<SelectListItem> PackageItems = new List<SelectListItem>();

                                                using (HOD.Models.PackageListContext pl = new HOD.Models.PackageListContext())
                                                {

                                                    var packages = pl.PList.Where(x => x.PackageTypeId == 6);

                                                    if (packages != null)
                                                    {
                                                        foreach (var pk in packages)
                                                        {
                                                            PackageItems.Add(new SelectListItem { Text = pk.PackageName + " Package - $" + pk.PackageAmount.ToString(), Value = pk.PackageId.ToString() });
                                                        }
                                                    }
                                                }
                                                @: @Html.DropDownListFor(m => m.Package, PackageItems, new { @class = "form-control", @placeholder = "Expiration Year", @id = "packageSelection" })
                                                         }
                                        }

                                    </div>
                                </div>
                                <div class="col-sm-12 hidden" id="shopping-cart" class="">
                                    <div class="box">
                                        <h2 class="mt0 mb0">Get Your Virtual Lawn Sign Now</h2>
                                        <div class="col-md-6">
                                            <label><input type="radio" value="0" id="orderTriggerLater" name="order_later" checked="checked" /> Order Lawn Sign Later</label>
                                        </div>
                                        <div class="col-md-6">
                                            <label><input type="radio" value="1" name="order_later" id="orderTriggerNow" /> Order Lawn Sign Now</label>
                                        </div>
                                    </div>

                                    <div class="box products hidden">
                                        <div class="col-md-12">
                                            <h2>Basic Package</h2>
                                            <div class="product_description" id="package-Basic">
                                                <table class="product-data" width="100%" cellpadding="5" style="border: 1px solid #ccc;">
                                                    <tr class="product-data-header">
                                                        <td><h3>4mm Standard Custom Lawn Sign</h3></td>
                                                        <td><h3>Wire 4mm H posts  </h3></td>
                                                    </tr>

                                                    <tr class="product-data-details">
                                                        <td>
                                                            <img src="~/Images/lawnsign1-1.jpg" style="max-width: 200px" />
                                                            <img src="~/Images/lawnsign1-2.png" style="max-width: 150px" />

                                                            <div class="product-description">
                                                                4mm Standard Custom Lawn Sign 18x24

                                                                <br /><span style="color: #ff0000">Price: <span style="text-decoration: line-through">$15.95</span> Free!!</span>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <img src="~/Images/lawnsign1-3.png" style="max-width: 150px" />
                                                            <div class="product-description">
                                                                Wire 4mm H Post

                                                                <br /><span style="color: #ff0000">Free!!</span>
                                                            </div>
                                                        </td>

                                                    </tr>

                                                    <tr class="product-data-header">
                                                        <td colspan="2">
                                                            <strong> Basic Package</strong> Total Price: Free (Plus Shipping: $13.75)
                                                            <a href="javascript" package_name="Basic" price="13.75" class="add-to-cart-button">Select this Package</a>
                                                        </td>
                                                    </tr>


                                                </table>
                                            </div>

                                            <h2>Standard Package (RECOMMENDED) </h2>
                                            <div class="product_description" id="package-Standard">
                                                <table class="product-data selected-package" width="100%" cellpadding="5" style="border: 1px solid #ccc;">
                                                    <tr class="product-data-header">
                                                        <td><h3>6mm Standard Custom Lawn Sign</h3></td>
                                                        <td><h3>Standard Lawn Post </h3></td>
                                                    </tr>

                                                    <tr class="product-data-details">
                                                        <td>
                                                            <img src="~/Images/lawnsign1-1.jpg" style="max-width: 200px" />
                                                            <img src="~/Images/lawnsign2-2.png" style="max-width: 150px" />

                                                            <div class="product-description">
                                                                Standard Custom Lawn Sign 18x24

                                                                <br /><span style="color: #ff0000">Price: <span style="text-decoration: line-through">$29.95</span> Free!!</span>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <img src="~/Images/lawnsign2-3.png" style="max-width: 150px" />
                                                            <div class="product-description">
                                                                Standard Lawn Post 18x24

                                                                <br />Price: $29.95
                                                            </div>
                                                        </td>

                                                    </tr>

                                                    <tr class="product-data-header">
                                                        <td colspan="2">
                                                            <strong>Standard Package  </strong> Total Price: $29.95 (Plus Shipping: $24.95)
                                                            <a href="javascript" package_name="Standard" price="54.90" class="add-to-cart-button">Select this Package</a>
                                                        </td>
                                                    </tr>


                                                </table>


                                            </div>


                                            <h2>Premium Package</h2>
                                            <div class="product_description" id="package-Premium">
                                                <table class="product-data" width="100%" cellpadding="5" style="border: 1px solid #ccc;">
                                                    <tr class="product-data-header">
                                                        <td><h3>8mm Premium Custom Lawn Sign</h3></td>
                                                        <td><h3>Premium Lawn Post </h3></td>
                                                    </tr>

                                                    <tr class="product-data-details">
                                                        <td>
                                                            <img src="~/Images/lawnsign1-1.jpg" style="max-width: 200px" />
                                                            <img src="~/Images/lawnsign1-2.png" style="max-width: 150px" />

                                                            <div class="product-description">
                                                                Premium Custom Lawn Sign 24x36

                                                                <br /><span style="color: #ff0000">Price: $75.95</span>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <img src="~/Images/lawnsign1-3.png" style="max-width: 150px" />
                                                            <div class="product-description">
                                                                Premium Lawn Post 24x36



                                                                <br /><span style="color: #ff0000"> Price: $125.95</span>
                                                            </div>
                                                        </td>

                                                    </tr>

                                                    <tr class="product-data-header">
                                                        <td colspan="2">
                                                            <strong> Premium Package </strong>Total Price: $149.95  (Plus Shipping: $24.95)
                                                            <a href="javascript" package_name="Premium" price="174.90" class="add-to-cart-button">Select this Package</a>
                                                        </td>
                                                    </tr>


                                                </table>


                                            </div>
                                        </div>
                                    </div>
                                </div>


                                <input type="hidden" name="selected_package_price" id="selected_package_price" value="29.95" />
                                <input type="hidden" name="selected_package_name" id="selected_package_name" value="Standard" />
                                <div class="col-sm-12 text-center">
                                    <a id="next-step" class="btn btn-xl" type="submit">Next step</a>
                                </div>
                            </section>
                            <h3>Second step</h3>
                            <section>
                                <div class="col-sm-12">
                                    <div class="box">
                                        <h2 class="mt0 mb0">Client Property Information</h2>
                                        @*<p>Note: Only Neighbourhood, City, State/Prov will be displayed publicly on Virtual Lawn Sign and on Property Website)</p>*@
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.FirstName, new { @class = "form-control", @placeholder = "First Name", @maxlength = "56", @required = "required", @onblur = "CopyNameValue();" })
                                                    <span>@Html.ValidationMessageFor(m => m.FirstName)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.LastName, new { @class = "form-control", @placeholder = "Last Name", @maxlength = "56", @required = "required", @onblur = "CopyNameValue();" })
                                                    <span>@Html.ValidationMessageFor(m => m.UserName)</span>

                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.PhoneNumberCell, new { @class = "form-control", @placeholder = "Phone Number (Cell)", @maxlength = "56", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.PhoneNumberCell)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.PhoneNumberLandLine, new { @class = "form-control", @placeholder = "Phone Number (Landline)", @maxlength = "56" })
                                                    <span>@Html.ValidationMessageFor(m => m.PhoneNumberLandLine)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextAreaFor(m => m.Address, new { @class = "form-control", @placeholder = "Address", id = "address", @rows = "3", @maxlength = "200", @required = "required", @onblur = "CopyFieldValue(this.value,'billingaddress');" })
                                                    <span>@Html.ValidationMessageFor(m => m.Address)</span>

                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.City, new { @class = "form-control", @placeholder = "City", id = "city", @maxlength = "56", @required = "required", @onblur = "CopyFieldValue(this.value,'billingcity');" })
                                                    <span>@Html.ValidationMessageFor(m => m.City)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.DropDownListFor(m => m.Province, new SelectList(
                                                                              new List<Object>{
                                                                                new { value="", text = "PROVINCE/STATE" },
                                                                                new { value="", text = "-----------------" },
                                                                                new { value="", text = "CANADIAN PROVINCES" },
                                                                                new { value="", text = "-----------------" },
                                                                                new { value="Alberta", text = "Alberta" },
                                                                                new { value="British Columbia", text = "British Columbia" },
                                                                                new { value="Manitoba", text = "Manitoba" },
                                                                                new { value="New Brunswick", text = "New Brunswick" },
                                                                                new { value="NewFoundland and Labrador", text = "NewFoundland and Labrador" },
                                                                                new { value="Northwest Terriories", text = "Northwest Terriories" },
                                                                                new { value="Nova Scotia", text = "Nova Scotia" },
                                                                                new { value="Nunavut", text = "Nunavut" },
                                                                                new { value="Ontario", text = "Ontario" },
                                                                                new { value="Prince Edwards Island", text = "Prince Edwards Island" },
                                                                                new { value="Quebec", text = "Quebec" },
                                                                                new { value="Saskatchewan", text = "Saskatchewan" },
                                                                                new { value="Yukon", text = "Yukon" },
                                                                                new { value="", text = "-----------------" },
                                                                                new { value="", text = "US STATES" },
                                                                                new { value="", text = "-----------------" },
                                                                                new  { Text="Alabama", Value="AL"},
                                                                                new  { Text="Alaska", Value="AK"},
                                                                                new  { Text="Arizona", Value="AZ"},
                                                                                new  { Text="Arkansas", Value="AR"},
                                                                                new  { Text="California", Value="CA"},
                                                                                new  { Text="Colorado", Value="CO"},
                                                                                new  { Text="Connecticut", Value="CT"},
                                                                                new  { Text="District of Columbia", Value="DC"},
                                                                                new  { Text="Delaware", Value="DE"},
                                                                                new  { Text="Florida", Value="FL"},
                                                                                new  { Text="Georgia", Value="GA"},
                                                                                new  { Text="Hawaii", Value="HI"},
                                                                                new  { Text="Idaho", Value="ID"},
                                                                                new  { Text="Illinois", Value="IL"},
                                                                                new  { Text="Indiana", Value="IN"},
                                                                                new  { Text="Iowa", Value="IA"},
                                                                                new  { Text="Kansas", Value="KS"},
                                                                                new  { Text="Kentucky", Value="KY"},
                                                                                new  { Text="Louisiana", Value="LA"},
                                                                                new  { Text="Maine", Value="ME"},
                                                                                new  { Text="Maryland", Value="MD"},
                                                                                new  { Text="Massachusetts", Value="MA"},
                                                                                new  { Text="Michigan", Value="MI"},
                                                                                new  { Text="Minnesota", Value="MN"},
                                                                                new  { Text="Mississippi", Value="MS"},
                                                                                new  { Text="Missouri", Value="MO"},
                                                                                new  { Text="Montana", Value="MT"},
                                                                                new  { Text="Nebraska", Value="NE"},
                                                                                new  { Text="Nevada", Value="NV"},
                                                                                new  { Text="New Hampshire", Value="NH"},
                                                                                new  { Text="New Jersey", Value="NJ"},
                                                                                new  { Text="New Mexico", Value="NM"},
                                                                                new  { Text="New York", Value="NY"},
                                                                                new  { Text="North Carolina", Value="NC"},
                                                                                new  { Text="North Dakota", Value="ND"},
                                                                                new  { Text="Ohio", Value="OH"},
                                                                                new  { Text="Oklahoma", Value="OK"},
                                                                                new  { Text="Oregon", Value="OR"},
                                                                                new  { Text="Pennsylvania", Value="PA"},
                                                                                new  { Text="Rhode Island", Value="RI"},
                                                                                new  { Text="South Carolina", Value="SC"},
                                                                                new  { Text="South Dakota", Value="SD"},
                                                                                new  { Text="Tennessee", Value="TN"},
                                                                                new  { Text="Texas", Value="TX"},
                                                                                new  { Text="Utah", Value="UT"},
                                                                                new  { Text="Vermont", Value="VT"},
                                                                                new  { Text="Virginia", Value="VA"},
                                                                                new  { Text="Washington", Value="WA"},
                                                                                new  { Text="West Virginia", Value="WV"},
                                                                                new  { Text="Wisconsin", Value="WI"},
                                                                                new  { Text="Wyoming", Value="WY"}

                                                                                },
                                                                              "value",
                                                                              "text",
                                                                               2), new { @class = "form-control", @placeholder = "Province", id = "province", @onblur = "CopyFieldValue(this.value,'billingprovince');" })

                                                    <span>@Html.ValidationMessageFor(m => m.Province)</span>

                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.PostalCode, new { @class = "form-control", @placeholder = "Postal Code", id = "postalcode", @maxlength = "20", @required = "required", @onblur = "CopyFieldValue(this.value,'billingpostalcode');" })
                                                    <span>@Html.ValidationMessageFor(m => m.Province)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                    </div>
                                </div>



                                <div class="col-sm-12">
                                    <div class="box">
                                        <label class="float-right hidden">

                                            @Html.CheckBoxFor(m => m.CopyBillingAddress, new { @id = "copybillingaddress", @checked = "checked" })Pre-Checked Billing Address Same as Above
                                        </label>
                                        <h2 class="mt0 mb0">Billing Information</h2>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.BillingName, new { @class = "form-control", @placeholder = "Billing Name", id = "billingname", @maxlength = "120", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.BillingName)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextAreaFor(m => m.BillingAddress, new { @class = "form-control", @placeholder = "Billing Address", id = "billingaddress", @rows = "3", @maxlength = "200", @required = "required" })

                                                    <span>@Html.ValidationMessageFor(m => m.BillingAddress)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.BillingCity, new { @class = "form-control", @placeholder = "Billing City", id = "billingcity", @maxlength = "56", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.BillingCity)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.DropDownListFor(m => m.BillingProvince, new SelectList(
                                                      new List<Object>{
                                                    new { value="", text = "PROVINCE/STATE" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="", text = "CANADIAN PROVINCES" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="Alberta", text = "Alberta" },
                                                    new { value="British Columbia", text = "British Columbia" },
                                                    new { value="Manitoba", text = "Manitoba" },
                                                    new { value="New Brunswick", text = "New Brunswick" },
                                                    new { value="NewFoundland and Labrador", text = "NewFoundland and Labrador" },
                                                    new { value="Northwest Terriories", text = "Northwest Terriories" },
                                                    new { value="Nova Scotia", text = "Nova Scotia" },
                                                    new { value="Nunavut", text = "Nunavut" },
                                                    new { value="Ontario", text = "Ontario" },
                                                    new { value="Prince Edwards Island", text = "Prince Edwards Island" },
                                                    new { value="Quebec", text = "Quebec" },
                                                    new { value="Saskatchewan", text = "Saskatchewan" },
                                                    new { value="Yukon", text = "Yukon" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="", text = "US STATES" },
                                                    new { value="", text = "-----------------" },
                                                    new  { Text="Alabama", Value="AL"},
                                                    new  { Text="Alaska", Value="AK"},
                                                    new  { Text="Arizona", Value="AZ"},
                                                    new  { Text="Arkansas", Value="AR"},
                                                    new  { Text="California", Value="CA"},
                                                    new  { Text="Colorado", Value="CO"},
                                                    new  { Text="Connecticut", Value="CT"},
                                                    new  { Text="District of Columbia", Value="DC"},
                                                    new  { Text="Delaware", Value="DE"},
                                                    new  { Text="Florida", Value="FL"},
                                                    new  { Text="Georgia", Value="GA"},
                                                    new  { Text="Hawaii", Value="HI"},
                                                    new  { Text="Idaho", Value="ID"},
                                                    new  { Text="Illinois", Value="IL"},
                                                    new  { Text="Indiana", Value="IN"},
                                                    new  { Text="Iowa", Value="IA"},
                                                    new  { Text="Kansas", Value="KS"},
                                                    new  { Text="Kentucky", Value="KY"},
                                                    new  { Text="Louisiana", Value="LA"},
                                                    new  { Text="Maine", Value="ME"},
                                                    new  { Text="Maryland", Value="MD"},
                                                    new  { Text="Massachusetts", Value="MA"},
                                                    new  { Text="Michigan", Value="MI"},
                                                    new  { Text="Minnesota", Value="MN"},
                                                    new  { Text="Mississippi", Value="MS"},
                                                    new  { Text="Missouri", Value="MO"},
                                                    new  { Text="Montana", Value="MT"},
                                                    new  { Text="Nebraska", Value="NE"},
                                                    new  { Text="Nevada", Value="NV"},
                                                    new  { Text="New Hampshire", Value="NH"},
                                                    new  { Text="New Jersey", Value="NJ"},
                                                    new  { Text="New Mexico", Value="NM"},
                                                    new  { Text="New York", Value="NY"},
                                                    new  { Text="North Carolina", Value="NC"},
                                                    new  { Text="North Dakota", Value="ND"},
                                                    new  { Text="Ohio", Value="OH"},
                                                    new  { Text="Oklahoma", Value="OK"},
                                                    new  { Text="Oregon", Value="OR"},
                                                    new  { Text="Pennsylvania", Value="PA"},
                                                    new  { Text="Rhode Island", Value="RI"},
                                                    new  { Text="South Carolina", Value="SC"},
                                                    new  { Text="South Dakota", Value="SD"},
                                                    new  { Text="Tennessee", Value="TN"},
                                                    new  { Text="Texas", Value="TX"},
                                                    new  { Text="Utah", Value="UT"},
                                                    new  { Text="Vermont", Value="VT"},
                                                    new  { Text="Virginia", Value="VA"},
                                                    new  { Text="Washington", Value="WA"},
                                                    new  { Text="West Virginia", Value="WV"},
                                                    new  { Text="Wisconsin", Value="WI"},
                                                    new  { Text="Wyoming", Value="WY"}

                                                    },
                                                  "value",
                                                  "text",
                                                       2), new { @class = "form-control", @placeholder = "Billing Province", id = "billingprovince" })

                                                    <span>@Html.ValidationMessageFor(m => m.BillingProvince)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.BillingPostalCode, new { @class = "form-control", @placeholder = "Billing Postal Code", id = "billingpostalcode", @maxlength = "20" })
                                                    <span>@Html.ValidationMessageFor(m => m.BillingPostalCode)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-12">
                                    <div class="box">
                                        <h2 class="mt0 mb0">Payment</h2>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.CardNumber, new { @class = "form-control", @placeholder = "Card Number", @maxlength = "16", @id = "TXTBXCARDNUM", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.CardNumber)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                @Html.DropDownListFor(m => m.ExpirationMonth, new SelectList(
                                                      new List<Object>{
                                                        new { value="", text = "Exp. Month" },
                                                        new { value="01", text = "01" },
                                                        new { value="02", text = "02" },
                                                        new { value="03", text = "03" },
                                                        new { value="04", text = "04" },
                                                        new { value="05", text = "05" },
                                                        new { value="06", text = "06" },
                                                        new { value="07", text = "07" },
                                                        new { value="08", text = "08" },
                                                        new { value="09", text = "09" },
                                                        new { value="10", text = "10" },
                                                        new { value="11", text = "11" },
                                                        new { value="12", text = "12" },
                                                        },
                                                      "value",
                                                      "text",
                                                       2), new { @class = "form-control", @placeholder = "Expiration Month", @id = "DRPBXMONTH" })

                                                <span>@Html.ValidationMessageFor(m => m.ExpirationMonth)</span>
                                            </div>
                                            <div class="col-sm-6">
                                                @Html.DropDownListFor(m => m.ExpirationYear, new SelectList(
                                                                        new List<Object>{
                                                                        new { value="", text = "Exp. Year" },
                                                                        new { value=@DateTime.Now.Year, text = @DateTime.Now.Year.ToString() },
                                                                        new { value=@DateTime.Now.AddYears(1).Year, text = @DateTime.Now.AddYears(1).Year },
                                                                        new { value=@DateTime.Now.AddYears(2).Year, text = @DateTime.Now.AddYears(2).Year },
                                                                        new { value=@DateTime.Now.AddYears(3).Year, text = @DateTime.Now.AddYears(3).Year },
                                                                        new { value=@DateTime.Now.AddYears(4).Year, text = @DateTime.Now.AddYears(4).Year },
                                                                        new { value=@DateTime.Now.AddYears(5).Year, text = @DateTime.Now.AddYears(5).Year },
                                                                        new { value=@DateTime.Now.AddYears(6).Year, text = @DateTime.Now.AddYears(6).Year },
                                                                        new { value=@DateTime.Now.AddYears(7).Year, text = @DateTime.Now.AddYears(7).Year },
                                                                        new { value=@DateTime.Now.AddYears(8).Year, text = @DateTime.Now.AddYears(8).Year },
                                                                        new { value=@DateTime.Now.AddYears(9).Year, text = @DateTime.Now.AddYears(9).Year },
                                                                        new { value=@DateTime.Now.AddYears(10).Year, text = @DateTime.Now.AddYears(10).Year },
                                                                        },
                                                                      "value",
                                                                      "text",
                                                                       2), new { @class = "form-control", @placeholder = "Expiration Year", @id = "DRPBXYEAR" })

                                                <span>@Html.ValidationMessageFor(m => m.ExpirationYear)</span>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.CVC, new { @class = "form-control", @placeholder = "CVC", @maxlength = "4", @id = "TXTBXCVC", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.CVC)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12 text-center">
                                    <label class="terms"><input type="checkbox" onclick="OpenTOSDialog(this)">I have read and agree to Terms of service</label>
                                    <button class="btn btn-xl" type="submit">Sign up now</button>
                                </div>
                            </section>
                        </div>

                        @Html.DropDownListFor(m => m.Country, new SelectList(
                                                  new List<Object>{
                                                    new { value="CANADA", text = "Canada" },
                                                    new { value="USA", text = "USA" },
                                                    new { value="MEXICO", text = "Mexico" }
                                                    },
                                                  "value",
                                                  "text",
                                                   "CANADA"), new { @class = "form-control", @placeholder = "Country", id = "country", style = "visibility:hidden" })

                        @Html.AntiForgeryToken()
                        @Html.ValidationSummary()
                        @Html.HiddenFor(m => m.UserType)
                        @Html.Hidden("redirectUrl", ViewData["redirectUrl"])
                        @Html.HiddenFor(m => m.AgentID, agentId)
                        @Html.HiddenFor(m => m.AgentPayOnUserBehalf, Model.AgentPayOnUserBehalf)

                    }


                </div>
            </div>
        </div>
    </div><!-- /.main -->
    <div id="footer" class="footer">
        <div class="footer-top">
            <div class="container">
                <div class="footer-top-inner">
                    <nav>
                        <ul class="nav nav-pills">
                            <li><a href="index.html">Home</a></li>
                            <li><a href="how-it-works.html">How it works</a></li>
                            <li><a href="index.html#pricing">Pricing</a></li>
                            <li><a href="contact.html">Contact</a></li>
                        </ul>
                    </nav>
                </div><!-- /.footer-top-inner -->
            </div><!-- /.container -->
        </div><!-- /.footer-top -->
        <div class="footer-bottom">
            <div class="container">
                <div class="footer-bottom-inner">
                    <div class="footer-bottom-left">
                        &copy; 2015 Casavue. All rights reserved.
                    </div><!-- /.footer-bottom-left -->
                    <div class="footer-bottom-right">
                        <ul class="header-topbar-social ml30">
                            <li><a href="https://www.facebook.com/1844CasaVue"><i class="fa fa-facebook"></i></a></li>
                            <li><a href="https://plus.google.com/115568953858325657933/posts"><i class="fa fa-google-plus"></i></a></li>
                            <li><a href="https://www.linkedin.com/in/casavue"><i class="fa fa-linkedin"></i></a></li>
                            <li><a href="https://twitter.com/CasaVue1"><i class="fa fa-twitter"></i></a></li>
                            <li><a href="https://www.pinterest.com/CasaVue/"><i class="fa fa-pinterest"></i></a></li>
                        </ul>
                    </div><!-- /.footer-bottom-right -->
                </div><!-- /.footer-bottom-inner -->
            </div><!-- /.container -->
        </div><!-- /.footer-bottom -->
    </div><!-- /.footer -->
</div><!-- /.page-wrapper-->
<!-- Modal -->
<div id="myModal" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Terms of service</h4>
            </div>
            <div class="modal-body">
                <div style="max-height:300px;overflow-y:scroll;">
                    <h3>Terms & Conditions Of Use for www.casavue.com and all websites operated by Casavue LLC.</h3>
                    <div>All website services provided to you by Casavue LLC. (hereinafter “Casavue”) are governed by the terms and conditions that follow. In this agreement, “we”, “us” and “our” refer to Casavue  and “you”, “your”, “user” and “users” refer to the user of this system. “The website”, “system”, “application” or “websites” refers to any website designed and maintained by Casavue or any website residing at a domain owned by Casavue. The use whether paid or otherwise by you of any website created, owned or operated by Casavue indicates your acceptance of, and your agreement to be bound by, this agreement. These terms and conditions supersede any and all previous representations, understandings or agreements between you and/or assigns,  and Casavue, its agents, employees, assigns.</div>
                    <h3>Free Use Of System</h3>
                    <div>The information on the Site is provided for the general purpose of marketing real estate for sale, lease, rent or otherwise available. Casavue does not warrant this information for any particular or specific purpose, express or implied.</div><br />
                    <div>Users posting on this system agree to do so without the use of obscenities or material considered offensive or knowingly false. Any communication, posting, addition, modification or otherwise entered by you on this system may be deleted by site administrators at any time and for any reason without notice. No communications shall be added in any way to this system other than that within the subject of real estate sale, real estate leasing, real estate rental or real estate trading in North America.</div><br />
                    <div>Casavue is NOT a real estate broker/agent. Any and all information provided with respect to any particular property on the System is provided at the sole discretion of the individual/company with marketing rights to, or ownership of, the particular real estate entered into this system. Casavue makes no guarantees with respect to any and all information provided on this website and all information is subject to independent verification by any interested party. Casavue assumes no risk, responsibility or liability in the case that such information is relied upon by any party to its detriment.</div><br />
                    <div>Any and all information provided, including the availability of any particular property for any purpose, is subject to change at any time, without notice and at the sole discretion of the individual/company with marketing rights to or ownership of the particular listing.</div><br />
                    <div>If any content and/or material supplied by and/or belonging to any third party is added to the Website, it shall be your responsibility to advise the third party of all relevant terms and conditions of this agreement. Casavue shall in no way be responsible for the content and/or material added to the Website by any party, by any means (authorized or unauthorized) and you agree to release, indemnify, defend and hold Casavue harmless from any and all forms of claims, demands or suits for any damages, including (but not limited to) any claims or damages for infringement of any copyright or other intellectual property rights held by third parties in any content and/or material of the Website, that may arise out of the inclusion of any content and/or material on the Website.</div><br />
                    <div>You agree to not harvest or otherwise collect and publish information from the system without express written consent from Casavue including but not limited to email addresses, contact details, property information, images or otherwise. Publication in any form, whether electronic or otherwise, of any Casavue system data without such express written consent is strictly prohibited.</div><br />
                    <div>Any links to other websites or listings of any third-party information, including information on products and/or services, warranties, guarantees, etc., shall in no way be attributed to Casavue or construed as being endorsed or supported by Casavue, any of its agents, employees, assigns, etc. Casavue is not responsible for the content of, or opinions expressed in, such websites.</div><br />
                    <div>In exchange for any use of this system, all users/members and third parties agree to hold Casavue, its agents, employees and assigns harmless against any and all damages, claims and/or injury of any kind that may arise from the use of this system or reliance on any information provided herein.</div>
                    <h3>Paid Use Of System.</h3>
                    <div>
                    The paid use of the system includes the same terms and conditions as the free use of the system with the following additions, modifications or deletions, which supersede the free use terms and conditions as noted on this website.
                    </div><br />
                    <div>
                    Users may “upgrade” their posting to premium status, meaning that the system will allow the further uploading of images and more features and benefits which may include a physical lawn sign, mobile marketing/text marketing and video marketing Premium listings may be displayed before any other “free” listings on the system subsequent to user searches. Casavue does not warrantee any listing/posting position or search preference for any listing. Casavue does not guarantee the success of any advertising, posting or property listing on the system in any way and will not refund any fees or paid use of the system according to the outcome of any advertising or use of this system.
                    </div><br />
                    <div>
                    Premium listings are accepted on a monthly auto renewal process on the system for a period of at least 30 days from the entering of the information by you. The auto renewal process may be turned off after the first thirty days by sending an email request to info@casavue.com. Casavue may suspend or remove any information added by you should we suspect that it is false or violates any of the terms and conditions otherwise set-out in this document.
                    </div><br />
                    <div>
                    The current fees for upgrading a listing or posting to “premium” are $19, $49, $99. This fee may be waived, changed, increased or otherwise at the sole discretion of Casavue, without notice and at any time.
                    </div>
                    <h3>General Terms And Conditions Of Use</h3>
                    <div>
                    You shall not knowingly or unknowingly submit to any Casavue website or resource for publication any material, which violates or infringes any copyright, trademark, patent or other intellectual property rights or privacy rights of any person or entity, any libelous or scandalous material or any material, which contains anything obscene or pornographic. You must have the rights to distribute any property or listing information submitted to any Casavue websites or resources. We may refuse to publish any of the above noted material and not be held liable for breach of contract for doing so. You agree to indemnify, defend and hold us harmless for any alleged or actual infringement of any copyright, trademark, patent or other intellectual property rights or privacy rights of any person or entity.
                    </div><br />
                    <div>
                    You agree and understand that Casavue is a marketing and promotion company and does not in any way trade in real estate. We will not consult or advise in any way, with any person or entity in the area of real estate transactions or legalities.
                    </div><br />
                    <div>
                    All coding, scripting and/or programming, domain names, logos, publications, databases, data and other intellectual property provided by Casavue to you shall be owned exclusively by Casavue and Casavue shall be the exclusive owner of all copyright and other intellectual property rights in these items.
                    </div><br />
                    <div>
                    Casavue agrees to host the websites on a server of its own choice, on a month-to-month basis. Casavue makes no warranty to you that you will receive continual and uninterrupted service during the term of this agreement. The service, or any part thereof, may from time to time be modified without any advance notice to you. You agree that Casavue shall not be liable to you or to any third party for any damage or loss occasioned by any modification to the service.
                    </div><br />
                    <div>
                    If you are a professional Sales Representative, Agent, Broker, or Broker of Record you shall have your contact details set to public on the website and you must disclose that you are a real estate professional.
                    </div>
                    <h3>
                    MEMBER ACCOUNT, PASSWORD, AND SECURITY
                    </h3>
                    <div>
                    If any of the Services requires User to open an account, User must complete the registration process by providing Casavue with current, complete and accurate information as prompted by the applicable registration form. User also will choose a password and a user name. User is entirely responsible for maintaining the confidentiality of User’s password and account. Furthermore, User is entirely responsible for any and all activities that occur under User’s account. User agrees to notify Casavue immediately of any unauthorized use of User’s account or any other breach of security. Casavue will not be liable for any loss that User may incur as a result of someone else using User’s password or account, either with or without User’s knowledge. However, User could be held liable for losses incurred by Casavue or another party due to someone else using User’s account or password. User may not use anyone else's account at any time, without the permission of the account holder.
                    </div>
                    <h3>
                    YOU UNDERSTAND AND AGREE THAT:
                    </h3>
                    <div>
                    YOUR USE OF THE SERVICE IS AT YOUR OWN RISK, THAT THE SERVICE IS PROVIDED ON AN AS-IS AND AS AVAILABLE BASIS AND THAT CASAVUE MAKES NO EXPRESS OR IMPLIED WARRANTIES THAT DO NOT APPEAR HEREIN INCLUDING, BUT NOT LIMITED TO, THE WARRANTY THAT THE SERVICE WILL MEET YOUR REQUIREMENTS, WILL BE UNINTERRUPTED, TIMELY, SECURE OR ERROR-FREE;
                    </div><br />
                    <div>
                    CASAVUE SHALL NOT BE LIABLE TO YOU OR ANY OTHER THIRD PARTY FOR ANY DAMAGES OR LOSSES, INCLUDING, BUT NOT LIMITED TO, DAMAGES FOR LOSS OF PROFITS, GOODWILL, USE, DATA OR OTHER INTANGIBLE LOSSES RESULTING FROM THE USE OF THE SERVICE; and,
                    </div><br />
                    <div>
                    THE LINKS WILL LET YOU LEAVE CASAVUE'S SITE. THE LINKED SITES ARE NOT UNDER THE CONTROL OF CASAVUE AND CASAVUE IS NOT RESPONSIBLE FOR THE CONTENTS OF ANY LINKED SITE OR ANY LINK CONTAINED IN A LINKED SITE, OR ANY CHANGES OR UPDATES TO SUCH SITES. CASAVUE IS NOT RESPONSIBLE FOR WEBCASTING OR ANY OTHER FORM OF TRANSMISSION RECEIVED FROM ANY LINKED SITE. CASAVUE IS PROVIDING THESE LINKS TO YOU ONLY AS A CONVENIENCE, AND THE INCLUSION OF ANY LINK DOES NOT IMPLY ENDORSEMENT BY CASAVUE OF THE SITE.
                    </div><br />
                    <div>
                    YOU AGREE TO INDEMNIFY AND HOLD CASAVUE, ITS AGENTS, EMPLOYEES, ASSIGNS, ETC. HARMLESS FROM ANY CLAIM OR DEMAND, INCLUDING LEGAL FEES, MADE BY ANY THIRD PARTY DUE TO OR ARISING OUT OF THE CONTENT OF THE WEBSITE, THE USE OF THE E-MAIL SERVICE, THE VIOLATION OF THE TERMS AND CONDITIONS OF THIS AGREEMENT OR THE VIOLATION OF ANY THIRD PARTY RIGHTS.
                    </div>
                    <h3>PRIVACY POLICY</h3>
                    <div>
                    The privacy of our users is important to us. We know you care how information about you is used and shared, and we appreciate your trust that we will do so carefully and sensibly. By visiting this website you are accepting the practices described in this Privacy Policy and agree, without limitation or qualification, to be bound by this Privacy Policy.
                    </div>
                    <h3>SITE OWNERSHIP, OPERATION AND PRODUCTION</h3>
                    <div>
                    This website is owned and operated by Casavue LLC.
                    </div>
                    <h3>INFORMATION GATHERED</h3>
                    <div>
                    We do not collect information that personally identifies individuals except when individuals knowingly provide such specific information on a voluntary basis. When you register information on the site, that information is collected and maintained solely by us. We will not disclose any personal information (name, address, contact numbers, email) to outside parties unless the user was advised otherwise at the point and time of collection. You can choose not to provide certain information, however, such choice may restrict your ability to take advantage of many of our features.
                    </div><br />
                    <div>
                    You should also be aware that information is collected by web search engines such as Google and other providers of indexes from our websites in order to promote these pages on the Internet. When such search engines collect data which you have provided and approved for publishing, Casavue has no way of removing this data from their system. Removing your posting or listing from our system does not guarantee the removal from any other website. Any information you find on web sites other than those controlled by Casavue are the responsibility of that website company.
                    </div>
                    <h3>INFORMATION USAGE</h3>
                    <div>
                    We advise that we will be performing statistical analysis of user behavior and characteristics, in order to measure interest in and use of the various sections of our site so as to improve design and navigation and to gather marketing information. In addition, we also use the information that you provide to communicate with you. We offer free electronic and other information to users on a voluntary subscription basis. Users may remove themselves from any mailing list by following the instructions contained in every communication provided.
                    </div>

                    <h3>THIRD PARTY PRIVACY</h3>
                    <div>
                    Be aware that this website may have links that take you to other sites that may collect personally identifiable information about you. Privacy Policy does not cover third party data collection practices and we do not assume any responsibility for the actions of third parties.
                    </div>
                    <h3>COOKIES</h3>
                    <div>
                    Users should be aware that certain non-personal information and data may be automatically collected through this site through the operation of what are called ‘cookies’. ‘Cookies’ are small files that identify an individual computer’s browser entering a website. They allow the site to track that browser’s movement through the site over several sessions. Through cookies, a website can recognize repeat users, facilitate the user’s access to and use of the site, and allow a site to track usage behaviour that will allow content improvement. We use cookies only for the above-mentioned purposes and will not use them to identify users or to track other usage.
                    </div><br />
                    <div>
                    If you do not want a cookie placed on your computer as a result of using this website, you may disable cookies altogether by modifying the Preferences section of your web browser. Note that it is possible that some aspects of this website may be unavailable to you if you choose this option.
                    </div><br />
                    <div>
                    If you have no problem accepting cookies, but wish to be informed of their appearance, you may turn on a warning prompt by modifying the cookie warning section also located in the Preferences section of your web browser.
                    </div>
                    <h3>BUSINESS TRANSFERS</h3>
                    <div>
                    Customer information is considered a business asset and therefore, in the event that all or substantially all of Casavue assets are acquired, customer information will, of course, be one of the transferred assets.
                    </div>
                    <h3>PROTECTION OF SITE AND OTHERS</h3>
                    <div>
                    We release personal information when we believe releases are appropriate to comply with law or to protect the rights, property, or safety of our websites, our users, or others. This includes exchanging information with other companies and organizations for fraud protection and credit risk protection.
                    </div>
                    <h3>SITE SECURITY</h3>
                    <div>
                    We have security measures in place to attempt to protect against the loss, misuses, and alteration of your user data under our control. In all cases, the information is retained in secured facilities and protected from unauthorized access. Only authorized employees who have a need to know your information for the purposes described in this Privacy Policy have access to the information you choose to provide to us. While we cannot guarantee that loss, misuse, or alteration of the data will not occur, we make every effort to prevent such unfortunate occurrences.
                    </div>
                    <h3>CHANGES TO , PRIVACY POLICY AND TERMS AND CONDITIONS OF USE</h3>
                    <div>
                        These Policies and Terms were revised and posted on Casavue websites on June 30, 2015. We reserve the right to modify or amend these Policies and Terms at any time and for any reason. Please check these Policies and Terms periodically for changes. Your continued use of this site following the posting of changes to these Policies and Terms will be deemed to be acceptance by you of those changes.
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">I Agree</button>
            </div>
        </div>
    </div>
</div>
@section scripts{
    <script type="text/javascript">
		function OpenTOSDialog(obj)
        {
            if(obj.checked)
            {
                $('#myModal').modal('show');
            }
        }
		function CopyNameValue()
        {
            Name = $('#FirstName').val();
            LName = $('#LastName').val();
            if (LName != "")
                Name = Name + " " + LName;

            $('#billingname').val(Name);
        }
        function CopyFieldValue(sourceValue, DestFieldName) {
            $('#' + DestFieldName).val(sourceValue);
        }
        $(document).ready(function () {
            'use strict';

            var form = $("#register-form");

            form.show();

            form.validate({
                errorPlacement: function errorPlacement(error, element) {
                    element.before(error);
                },
                rules: {
                    confirm: {
                        equalTo: "#password"
                    }
                }
            });

            function resizeJquerySteps() {
                $('.wizard .content').animate({ height: $('.body.current').outerHeight() }, "slow");
            }

            form.children("div").steps({
                headerTag: "h3",
                bodyTag: "section",
                transitionEffect: "slideLeft",
                onInit: function (event, currentIndex) {
                    if (currentIndex == 0)
                        $('.wizard .content').css("height", '30em');

                },
                onStepChanging: function (event, currentIndex, newIndex) {

                    form.validate().settings.ignore = ":disabled,:hidden";
                    return form.valid();
                },
                onFinishing: function (event, currentIndex) {
                    form.validate().settings.ignore = ":disabled";
                    return form.valid();
                },
                onFinished: function (event, currentIndex) {
                    alert("Submitted!");
                },
                onStepChanged: function (event, currentIndex, priorIndex) {
                    resizeJquerySteps();

                }
            });

            $('#next-step').click(function () {
                form.children("div").steps("next");
            });

            $('#packageSelection').change(function () {
                if ($(this).val() == '2' || $(this).val() == '3') {
                    $('#shopping-cart').removeClass('hidden');
                }
                else
                    $('#shopping-cart').addClass('hidden');
            });

            $("#orderTriggerNow").click(function () {
                $('.products').removeClass('hidden');
            });

            $("#orderTriggerLater").click(function () {
                $('.products').addClass('hidden');
            });

            $('.add-to-cart-button').click(function () {
                $('.product-data').removeClass('selected-package');
                var price = $(this).attr('price');
                var packagename = $(this).attr('package_name');
                $('#selected_package_name').val(packagename);
                $('#selected_package_price').val(price);
                $('#package-' + packagename + ' > table').addClass('selected-package');
                return false;

            });

        });

    </script>
}




